/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#include <gui/queue.h>

struct gui_queue *gui_queue_alloc(struct queue *queue, const gchar *text,
				  unsigned int flags)
{
	struct gui_queue *gq = g_malloc(sizeof(struct gui_queue));

	gq->gq_flags = flags;
	gq->gq_text  = g_strdup(text);
	gq->gq_queue = queue;

	return gq;
}

void gui_queue_free(struct queue *queue)
{
	struct gui_queue *gq = gui_queue(queue);

	queue->q_private = NULL;

	g_free(gq->gq_text);
	g_free(gq);
}
